local FOLDER_NAME, SSA = ...
local LSM = LibStub("LibSharedMedia-3.0")

local defaults = {
	char = {
		EquippedArtifact = '',
		isR67FirstLoad = true,
		version = nil,
		name = nil,
		isMoveGrid = true,
		cooldowns = {
			numbers = true,
			sweep = true,
		},
		info = {
			totems = {
				eShield = {
				},
				cBurst = {
					absorb = 0,
				}
			}
		},
		layout = {
			[1] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				maelstromBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				icefuryBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
			},
			[2] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				maelstromBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
			},
			[3] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				earthenShieldBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				manaBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				tidalWavesBar = {
					width = 225,
					height = 7,
				},
			},
			defaults = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				LargeBar = {
					width = 260,
					height = 21,
				},
				SmallBar = {
					width = 225,
					height = 7,
				},
				textSize = 12,
			},
		},
		elements = {
			[1] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ancestralGuidance = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						elementalBlast = true,
						elementalMastery = true,
						heroism = true,
						timeWarp = true,
					},
					main = {
						isEnabled = true,
						earthElemental = true,
						fireElemental = true,
						stormElemental = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						liquidMagmaTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					--[[healthBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						numtext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						perctext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Armory',
							color = {
								r = 0.8,
								g = 0,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 42,
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						precision = "Long",
						grouping = true,
						alphaCombat = 1,
						alphaOoC = 1,
						alphaTar = 0.5,
					},]]
					maelstromBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						attachToHealth = {
							isAttached = true,
							x = 0,
							y = 0,
							point = "TOP",
						},
						justify = "CENTER",
						threshold = 90,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					icefuryBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
							showTimer = false,
						},
						isEnabled = true,
						counttext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						timerBar = {
							texture = 'Blizzard',
							color = {
								r = 1,
								g = 1,
								b = 1,
								a = 0.35,
							},
						},
						foreground = {
							texture = 'Fourths',
							color = {
								r = 0.66,
								g = 0.49,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -110,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
				},
				frames = {
					AuraGroup1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTop1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBot1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExt1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeft1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRight1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrp1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 250,
						y = -125,
						width = 115,
						height = 180,
					},
					MainTimerBarGrp1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = -250,
						y = -125,
						width = 90,
						height = 180,
					},
					UtilTimerBarGrp1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = -240,
						y = -125,
						width = 70,
						height = 180,
					},
					--[[TotemGroup1 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = -200,
						y = 0,
						width = 200,
						height = 50,
						BackdropColor = {
							r = 0.15,
							g = 0.15,
							b = 0.15,
							a = 0.6,
						}
					},]]
					TotemMastery = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 0,
						y = -210,
						width = 400,
						height = 180,
					},
					StormkeeperChargeGrp = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup1',
						relativePoint = "CENTER",
						x = 0,
						y = -110,
						width = 260,
						height = 50,
					}
				},
			},
			[2] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
						start = 0,
						endTime = 0,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						heroism = true,
						hex = true,
						spiritWalk = true,
						timeWarp = true,
					},
					main = {
						isEnabled = true,
						crashLightning = true,
						earthenSpike = true,
						flametongue = true,
						frostbrand = true,
						landslide = true,
						lightningCrash = true,
						windsong = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					maelstromBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						justify = "CENTER",
						threshold = 130,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
				},
				frames = {
					AuraGroup2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTop2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBot2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExt2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeft2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRight2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrp2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 257,
						y = -125,
						width = 131,
						height = 180,
					},
					MainTimerBarGrp2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = -257,
						y = -125,
						width = 131,
						height = 180,
					},
					UtilTimerBarGrp2 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = -215,
						y = -125,
						width = 47,
						height = 180,
					},
					StormstrikeChargeGrp = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = 0,
						y = -100,
						width = 260,
						height = 50,
					},
					DoomWindsTexture = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup2',
						relativePoint = "CENTER",
						x = -150,
						y = 0,
						width = 125,
						height = 240,
					},
				},
			},
			[3] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								formatting = {
									length = "full",
									decimals = false,
									alert = {
										isEnabled = false,
										threshold = 5,
										animate = false,
										color = {
											r = 1,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ancestralGuidance = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						heroism = true,
						spiritwalkersGrace = true,
						timeWarp = true,
						unleashLife = true,
					},
					main = {
						isEnabled = true,
						ancestralProtectionTotem = true,
						cloudburstTotem = true,
						healingStreamTotemOne = true,
						healingStreamTotemTwo = true,
						healingTideTotem = true,
						spiritLinkTotem = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						liquidMagmaTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					earthenShieldBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
							showTimer = false,
						},
						isEnabled = true,
						healthtext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						timerBar = {
							texture = 'Blizzard',
							color = {
								r = 1,
								g = 1,
								b = 1,
								a = 0.35,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0.66,
								g = 0.49,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -110,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					manaBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						precision = "Long",
						grouping = true,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					tidalWavesBar = {
						TidalWaveTime = 5,
						combatDisplay = "Always",
						OoCDisplay = "Target & On Heal",
						OoCTime = 5,
						emptyColor = {
							r = 1,
							g = 0,
							b = 0,
							a = 1,
						},
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Halves',
							color = {
								r = 0.35,
								g = 0.76,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 225,
							height = 7,
							point = 'CENTER',
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -202,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
				},
				frames = {
					AuraGroup3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTop3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBot3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExt3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeft3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRight3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrp3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = 257,
						y = -125,
						width = 131,
						height = 180,
					},
					MainTimerBarGrp3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = -244,
						y = -125,
						width = 105,
						height = 180,
					},
					UtilTimerBarGrp3 = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = -215,
						y = -125,
						width = 47,
						height = 180,
					},
					Cloudburst = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						x = -200,
						y = 0,
						width = 150,
						height = 40,
						BackdropColor = {
							r = 0.15,
							g = 0.15,
							b = 0.15,
							a = 0.6,
						}
					},
					Undulation = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = 'AuraGroup3',
						relativePoint = "CENTER",
						model = 'SPELLS/Monk_ForceSpere_Orb.m2',
						x = 0,
						y = -275,
						width = 60,
						height = 60,
					},
				},
			},
			defaults = {
				[1] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							formatting = {
								length = "full",
								decimals = false,
								alert = {
									isEnabled = false,
									threshold = 5,
									animate = false,
									color = {
										r = 1,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						maelstromBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroup1',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							justify = "CENTER",
							threshold = 90,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name= "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup1',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup1',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						icefuryBar = {
							counttext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							timerBar = {
								texture = 'Blizzard',
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 0.35,
								},
							},
							foreground = {
								texture = 'Fourths',
								color = {
									r = 0.66,
									g = 0.49,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroup1',
								relativePoint = "CENTER",
								x = 0,
								y = -110,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
					},
					frames = {
						AuraGroup1 = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTop1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBot1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExt1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeft1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRight1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrp1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 250,
							y = -125,
						},
						MainTimerBarGrp1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = -250,
							y = -125,
						},
						UtilTimerBarGrp1 = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = -240,
							y = -125,
						},
						TotemMastery = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -210,
						},
						StormkeeperChargeGrp = {
							point = "CENTER",
							relativeTo = 'AuraGroup1',
							relativePoint = "CENTER",
							x = 0,
							y = -110,
						}
					},
				},
				[2] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						maelstromBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroup2',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							justify = "CENTER",
							threshold = 130,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup2',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup2',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
					},
					frames = {
						AuraGroup2 = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTop2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBot2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExt2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeft2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRight2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrp2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 257,
							y = -125,
						},
						MainTimerBarGrp2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = -257,
							y = -125,
						},
						UtilTimerBarGrp2 = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = -215,
							y = -125,
						},
						StormstrikeChargeGrp = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = 0,
							y = -100,
						},
						DoomWindsTexture = {
							point = "CENTER",
							relativeTo = 'AuraGroup2',
							relativePoint = "CENTER",
							x = -150,
							y = 0,
						},
					},
				},
				[3] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						manaBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroup3',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							precision = "Long",
							grouping = true,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						earthenShieldBar = {
							healthtext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							timerBar = {
								texture = 'Blizzard',
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 0.35,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0.66,
									g = 0.49,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroup3',
								relativePoint = "CENTER",
								x = 0,
								y = -110,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup3',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroup3',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						tidalWavesBar = {
							TidalWaveTime = 5,
							combatDisplay = "Always",
							OoCDisplay = "Target & On Heal",
							OoCTime = 5,
							emptyColor = {
								r = 1,
								g = 0,
								b = 0,
								a = 1,
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Halves',
								color = {
									r = 0.35,
									g = 0.76,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 225,
								height = 7,
								point = 'CENTER',
								relativeTo = 'AuraGroup3',
								relativePoint = "CENTER",
								x = 0,
								y = -202,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						}
					},
					frames = {
						AuraGroup3 = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTop3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBot3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExt3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeft3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRight3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrp3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 257,
							y = -125,
						},
						MainTimerBarGrp3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = -244,
							y = -125,
						},
						UtilTimerBarGrp3 = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = -215,
							y = -125,
						},
						Cloudburst = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = -200,
							y = 0,
						},
						Undulation = {
							point = "CENTER",
							relativeTo = 'AuraGroup3',
							relativePoint = "CENTER",
							x = 0,
							y = -275,
						},
					},
				},
			},
		},		
		config = {
			isDragging = false,
			LeftButton = false,
			MiddleButton = false,
			RightButton = false,
			isShiftDown = false,
			isCtrlDown = false,
			[1] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
			},
			[2] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
				
			},
			[3] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
				
			},
			default = {
				alphaOoC = 0,
				alphaTar = 0.5,
				alphaCombat = 1,
				justify = "Center",
				animate = true,
				isAdjustable = false,
				isDisplayText = true,
				[1] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
				[2] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
				[3] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
			},
		},
		settings = {
			grid = {
				gridPreview = false,
				gridColor = {
					r = 0,
					g = 0,
					b = 0,
					a = 1,
				},
				axisColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
			},
			[1] = {
				flameShock = 10,
				totemMastery = 15,
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				}
			},
			[2] = {
				rockbiter = 5,
				flametongue = 5,
				frostbrand = 5,
				lavaLash = {
					stacks = {
						isEnabled = true,
						value = 99,
					},
					glow = true,
				},
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				}
			},
			[3] = {
				cloudburst = 300000,
				flameShock = 10,
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
			},
			defaults = {
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
				[1] = {
					flameShock = 10,
					totemMastery = 15,
				},
				[2] = {
					rockbiter = 5,
					flametongue = 5,
					frostbrand = 5,
					lavaLash = {
						stacks = 99,
					},
				},
				[3] = {
					cloudburst = 300000,
					flameShock = 10,
				},
			},
		},
		auras = {
			[1] = {
				AncestralGuidance1 = true,
					--AncestralGuidanceBar1 = true,
				Ascendance1 = true,
					--AscendanceBar1 = true,
				AstralShift1 = true,
					--AstralShiftBar1 = true,
				AuraGroup1 = true,
				Bloodlust = true,
				BloodlustBar1 = true,
				BuffTimerBarGrp1 = true,
				--CastBar1 = true,
				--ChannelBar1 = true,
				CleanseSpirit1 = true,
				Concordance1 = true,
				EarthElemental = true,
					--EarthElementalBar = true,
				EarthgrabTotem1 = true,
					--EarthgrabTotemBar1 = true,
				Earthquake = true,
				EarthShock = true,
				EarthShockGlow = true,
				ElementalBlast = true,
					--ElementalBlastCritBar = true,
					--ElementalBlastHasteBar = true,
					--ElementalBlastMasteryBar = true,
				ElementalFocus = true,
				ElementalMastery = true,
					--ElementalMasteryBar = true,
				FireElemental = true,
					--FireElementalBar = true,
				FlameShock = true,
				FlameShockGlow = true,
				FrostShock = true,
				GustWind1 = true,
					--HeroismBar1 = true,
				Hex1 = true,
				HexBar1 = true,
				Icefury = true,
				--IcefuryBar = true,
				LargeIconGrpBot1 = true,
				LargeIconGrpExt1 = true,
				LargeIconGrpTop1 = true,
				LavaBurst1 = true,
				LavaBurst1Glow = true,
				LavaBurst1Charges = true,
				LavaSurge1 = true,
				LightningSurgeTotem1 = true,
				--LightningSurgeTotemBar1 = true,
				LiquidMagmaTotem = true,
					LiquidMagmaTotemBar = true,
				--MaelstromBar1 = true,
				MainTimerBarGrp1 = true,
				PowerOfMaelstrom = true,
				SmallIconGrpLeft1 = true,
				SmallIconGrpRight1 = true,
				StormElemental = true,
					--StormElementalBar = true,
				Stormkeeper = true,
				--StormkeeperChargeGrp = true,
					--TimeWarpBar1 = true,
				Thunderstorm = true,
				--TotemGroup1 = true,
				--TotemMastery = true,
				TotemMasteryTexture = true,
				UtilTimerBarGrp1 = true,
				VoodooTotem1 = true,
					--VoodooTotemBar1 = true,
				WindRushTotem1 = true,
					--WindRushTotemBar1 = true,
				WindShear1 = true
			},
			[2] = {
				Ascendance2 = true,
				AscendanceBar2 = true,
				AstralShift2 = true,
				AstralShiftBar2 = true,
				AuraGroup2 = true,
				Bloodlust2 = true,
				BloodlustBar2 = true,
				BuffTimerBarGrp2 = true,
				--CastBar2 = true,
				--ChannelBar2 = true,
				CleanseSpirit2 = true,
				Concordance2 = true,
				CrashLightning = true,
				CrashLightningBar = true,
				CrashLightningGlow = true,
				DoomWinds = true,
				--DoomWindsTex = true,
				EarthenSpike = true,
				EarthenSpikeBar = true,
				EarthgrabTotem2 = true,
				EarthgrabTotemBar2 = true,
				FeralLunge = true,
				FeralSpirit = true,
				FeralSpiritBar = true,
				Flametongue = true,
				FlametongueBar = true,
				FlametongueGlow = true,
				Frostbrand = true,
				FrostbrandBar = true,
				FrostbrandGlow = true,
				HeroismBarEng = true,
				Hex2 = true,
				HexBar2 = true,
				LandslideBar = true,
				LargeIconGrpBot2 = true,
				LargeIconGrpExt2 = true,
				LargeIconGrpTop2 = true,
				LavaLash = true,
				LightningSurgeTotem2 = true,
				LightningSurgeTotemBar2 = true,
				--MaelstromBar2 = true,
				MainTimerBarGrp2 = true,
				Rainfall = true,
				Rockbiter = true,
				RockbiterCharges = true,
				SmallIconGrpLeft2 = true,
				SmallIconGrpRight2 = true,
				SpiritWalk = true,
				SpiritWalkBar = true,
				Stormstrike = true,
				--StormstrikeChargeGrp = true,
				StormstrikeChargesText = false,
				StormstrikeGlow = true,
				Sundering = true,
				TimeWarpBar2 = true,
				UnleashDoom = true,
				UtilTimerBarGrp2 = true,
				VoodooTotem2 = true,
				VoodooTotemBar2 = true,
				WindRushTotem2 = true,
				WindRushTotemBar2 = true,
				WindShear2 = true,
				Windsong = true,
				WindsongBar = true,
				WindsongGlow = true,
			},
			[3] = {
				AncestralGuidance3 = true,
				AncestralGuidanceBar3 = true,
				AncestralProtectionTotem = true,
				AncestralProtectionTotemBar = true,
				Ascendance3 = true,
				AscendanceBar3 = true,
				AstralShift3 = true,
				AstralShiftBar3 = true,
				AuraGroup3 = true,
				--Bloodlust = true,
				BloodlustBar3 = true,
				BuffTimerBarGrp3 = true,
				--CastBar3 = true,
				--ChannelBar3 = true,
				--Cloudburst = true,
				CloudburstAbsorbBar = true,
				CloudburstTotem = true,
				CloudburstTotemBar = true,
				Concordance3 = true,
				EarthenShieldTotem = true,
				--EarthenShieldTotemBar = true,
				EarthgrabTotem3 = true,
				EarthgrabTotemBar3 = true,
				FlameShock3 = true,
				Flameshock3Glow = true,
				GiftOfQueen = true,
				GustWind3 = true,
				HealingRain = true,
				HealingStreamTotem = true,
				HealingStreamTotemBar = true,
				HealingStreamTotemOneBar = true,
				HealingStreamTotemTwoBar = true,
				HealingStreamCharges = true,
				HealingTideTotem = true,
				HealingTideTotemBar = true,
				HeroismBar3 = true,
				Hex3 = true,
				HexBar3 = true,
				LargeIconGrpBot3 = true,
				LargeIconGrpExt3 = true,
				LargeIconGrpTop3 = true,
				LavaBurst3 = true,
				LavaBurst3Glow = true,
				LavaBurst3Charges = true,
				LavaSurge3 = true,
				LightningSurgeTotem3 = true,
				LightningSurgeTotemBar3 = true,
				MainTimerBarGrp3 = true,
				--ManaBar = true,
				PurifySpirit = true,
				Riptide = true,
				RiptideCharge = true,
				SmallIconGrpLeft3 = true,
				SmallIconGrpRight3 = true,
				SpiritLinkTotem = true,
				SpiritLinkTotemBar = true,
				SpiritwalkersGrace = true,
				SpiritwalkersGraceBar = true,
				TidalWaves = true,
				--TidalWavesBar = true,
				TidalWavesCharges = true,
				--Undulation = true,
				UnleashLife = true,
				UnleashLifeBar = true,
				UtilTimerBarGrp3 = true,
				VoodooTotem3 = true,
				VoodooTotemBar3 = true,
				Wellspring = true,
				WindRushTotem3 = true,
				WindRushTotemBar3 = true,
				WindShear3 = true,
			},
		},
	}
}

SSA[1].defaults = defaults
